
%global meadversion 1.5.7
%global namedversion 1.5.7.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead

%define maven_version 1.5.7.Final-redhat-1

Name:           jboss-hal
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        HAL Release Stream
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: release-stream-1.5.7.Final-redhat-1-scm-sources.zip
Source101: release-stream-1.5.7.Final-redhat-1-patches.zip
Source102: release-stream-1.5.7.Final-redhat-1-overlay.zip
Source103: release-stream-1.5.7.Final-redhat-1-sources.jar
Source104: release-stream-1.5.7.Final-redhat-1-resources.jar
Source105: release-stream-1.5.7.Final-redhat-1.pom
Source106: release-stream-1.5.7.Final-redhat-1.war
%endif

URL:            https://github.com/hal/release-stream
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-as-console >= 0:1.5.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/release-stream-%{namedversion}-%{release}-root

%description
HAL release stream master. Implements the assembly.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}-resources.jar %{buildroot}%{_javadir}/release-stream-%{namedversion}-resources.jar
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}.war %{buildroot}%{_javadir}/release-stream-%{namedversion}.war
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-release-stream.pom

# depmaps
%add_to_maven_depmap org.jboss.hal release-stream %{namedversion} JPP release-stream
[ %{name} = "release-stream" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/release-stream

%clean
%{__rm} -rf %{buildroot}

%post -n jboss-hal
%update_maven_depmap

%postun -n jboss-hal
%update_maven_depmap

%files -n jboss-hal
%defattr(0644,root,root,0755)
%{_javadir}/release-stream-%{namedversion}.war
%{_javadir}/release-stream.war
%{_javadir}/release-stream-%{namedversion}-resources.jar
%{_javadir}/release-stream-resources.jar
%{_mavenpomdir}/JPP-release-stream.pom
%{_mavendepmapfragdir}/release-stream

%changelog
* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 1.5.4-5
- Fix license

* Fri Jul 19 2013 David Walluck <dwalluck@redhat.com> 0:1.5.4-4
- fix bad file perms (should be root:root, not jboss:jboss)
- fix bad file name for resources jar (classifier in wrong place)
- fix maven support (add scripts, add (B)Rs, fix pom name, etc.)
- fix License (use short form)
- fix missing clean command
- add missing URL tag

* Fri Jul 19 2013 Yong Yang <yyang@redhat.com> - 1.5.4-3
- Add resources.jar

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 1.5.4-2
- Use eap profile for proper product branding

* Wed Jul 17 2013 Yong Yang <yyang@redhat.com> - 1.5.4-1.1.Final_rehdat_1
- Add noarch

* Wed Jul 17 2013 Yong Yang <yyang@redhat.com> - 1.5.4-1.Final_rehdat_1
- redhat_1 build

* Tue Jul 16 2013 Fernando Nasser <fnasser@redhat.com> - 1.5.4-1
- Initial build
